# workflowJobLog

A workflow job log entry

**Scope required:** workflow:read

For a complete list of possible response fields see the [WorkflowJobLog](/developer/api-reference/types/workflowjoblog.md) type.

```graphql
query workflowJobLog ($id: ID, $code: String, $format: String) {
  workflowJobLog (id: $id, code: $code, format: $format) {
    amountFailed
    amountProcessed
    amountTotal
    batchId
    completedAt
    createdAt
    id
    updatedAt
    warrenId
    workflowId
  }
}
```

## Arguments

| Name   | Type   | Description |
| ------ | ------ | ----------- |
| id     | ID     |             |
| code   | String |             |
| format | String |             |

## Response

* [WorkflowJobLog](/developer/api-reference/types/workflowjoblog.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/sending-a-graphql-request/workflowjoblog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
